Show / Hide Table of Contents

# Struct ImGuiInputTextCallbackData

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiInputTextCallbackData

### Fields

| Improve this Doc View Source

#### Buf

##### Declaration

    public byte *Buf

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### BufDirty

##### Declaration

    public byte BufDirty

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### BufSize

##### Declaration

    public int BufSize

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### BufTextLen

##### Declaration

    public int BufTextLen

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### CursorPos

##### Declaration

    public int CursorPos

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### EventChar

##### Declaration

    public ushort EventChar

##### Field Value

Type | Description
--- | ---
System.UInt16 |

| Improve this Doc View Source

#### EventFlag

##### Declaration

    public ImGuiInputTextFlags EventFlag

##### Field Value

Type | Description
--- | ---
ImGuiInputTextFlags |

| Improve this Doc View Source

#### EventKey

##### Declaration

    public ImGuiKey EventKey

##### Field Value

Type | Description
--- | ---
ImGuiKey |

| Improve this Doc View Source

#### Flags

##### Declaration

    public ImGuiInputTextFlags Flags

##### Field Value

Type | Description
--- | ---
ImGuiInputTextFlags |

| Improve this Doc View Source

#### SelectionEnd

##### Declaration

    public int SelectionEnd

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### SelectionStart

##### Declaration

    public int SelectionStart

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### UserData

##### Declaration

    public void *UserData

##### Field Value

Type | Description
--- | ---
System.Void* |